%define upstream_name    Carp-Always
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Warns and dies noisily with stack backtraces
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Carp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Base)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module is meant as a debugging aid. It can be used to make a script
complain loudly with stack backtraces when warn()ing or die()ing.

Here are how stack backtraces produced by this module looks:

  # it works for explicit die's and warn's
  $ perl -MCarp::Always -e 'sub f { die "arghh" }; sub g { f }; g'
  arghh at -e line 1
          main::f() called at -e line 1
          main::g() called at -e line 1

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
rm -f t/099pod.t
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Dec 23 2013 guillomovitch <guillomovitch> 0.130.0-1.mga4
+ Revision: 560074
- new version 0.13

* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-3.mga4
+ Revision: 509650
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 363788
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 0.120.0-1.mga3
+ Revision: 285145
- update to 0.12

* Wed Jun 06 2012 jquelin <jquelin> 0.110.0-1.mga3
+ Revision: 256104
- update to 0.11

* Mon Dec 05 2011 guillomovitch <guillomovitch> 0.100.0-1.mga2
+ Revision: 176882
- imported package perl-Carp-Always


* Mon Dec 05 2011 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
